Subject: Re: bug#41007: 26.3; desktop-save and reloading
From: Eli Zaretskii <[email-masked]>
To: jan <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 May 2020 23:05:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 1 May 2020 20:09:36 +0100
> From: jan via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I saved my desktop using desktop-save. I could then find no way of
> restoring it. I looked on the web and found a few others had the same
> problem. Spent an hour browsing.
> I then dug a bit more much later and found desktop-read seemed to do this.
> 
> Problem: I was looking for the obvious complement of desktop-save
> which would be desktop-load or desktop-restore. Desktop-read is not
> obviously named.

Thanks, I added the reference to 'desktop-read' to the doc string of
'descktop-save'.

> Other problem, and this is likely just unfamiliarity, but if you do
> desktop-save it asks you where to save it. If you do desktop-read, it
> doesn't ask. Docs say (desktop-read &optional DIRNAME) but that's not
> exposed interactively that I can see.

The doc string of 'desktop-read' says:

  Interactively, with prefix arg C-u, ask for DIRNAME.

So it _is_ exposed in interactive calls.